## Smart Arrays Contour Finder

### What the package can do for you
The purpose of this package is to contour the three-dimensional surface represented by the values f(x,y) of a matrix with coordinate axes x and y. The detected contour lines are passed on to a user-provided renderer e.g. for graphical displaying the contours. 

### Example
- The provided example can be directly executed via 'https://smart.specpad.bplaced.net/smart_arrays_plot_polyline/example.html'.
- Or, download the package and execute the file `example/example.html` in your browser.

### The major API functionalities

- Class `ContourFinder` with the method `findContour` to contour a matrix.

- Abstract class `ContourRenderer` with the method `drawContourLine` to be provided by the user to render the found contours, e.g. on a graphics screen.

### Related packages

[`smart_arrays_base`: Basic functions for 1D and 2D arrays]( https://pub.dartlang.org/packages/smart_arrays_base)

[`smart_arrays_numerics`: Numerics with 1D and 2D arrays]( https://pub.dartlang.org/packages/smart_arrays_numerics)

[`smart_arrays_compress`: Compress 1D and 2D arrays to a smaller size.]( https://pub.dartlang.org/packages/smart_arrays_compress)

[`smart_arrays_dbstore`: Store 1D and 2D arrays along with metadata on the local device.]( https://pub.dartlang.org/packages/smart_arrays_dbstore)

[`smart_arrays_plot_polyline`: Plot 1D arrays as polyline along with axes and more.]( https://pub.dartlang.org/packages/smart_arrays_plot_polyline)

[`smart_arrays_peaks`: Detect peaks in 1D and 2D arrays.]( https://pub.dartlang.org/packages/smart_arrays_peaks)

[`smart_arrays_lmfit`: Fits (x, y) data given as arrays to a specified model function using the  Levenberg-Marquardt algorithm.]( https://pub.dartlang.org/packages/smart_arrays_lmfit)

[`smart_lorentz-gauss`: Compute Lorentz-Gauss (pseudo-Voigt) line shapes.]( https://pub.dartlang.org/packages/smart_lorentz_gauss)

[`smart_signal_processing`: Fourier transform and more of arrays.]( https://pub.dartlang.org/packages/smart_signal_processing)

[`smart_dialogs`: Easy-to-use dialogs in Web applications]( https://pub.dartlang.org/packages/smart_dialogs)





